import Cookies from 'js-cookie'

export default [{handler: setCoverLetterRolloutCookie}]

/**
 * Cv Cover Letter feature flag
 */
async function setCoverLetterRolloutCookie(pde) {
  const data = pde.isFeatureEnabled({
    featureKey: 'ff_ij_be_cv_cover_letter'
  })

  Cookies.set('ijreactcvcoverletter', data.isActive ? '1' : '0', {expires: 60})
}
